Subject: bug#62596: make bootstrap failing since 52b67740d10

From: Andrea Corallo <[email-masked]>
Date: Mon, 03 Apr 2023 18:38:48 +0000

Eli Zaretskii <[email-masked]> writes:

> merge 62596 62481
> thanks
>
>> Date: Sat, 01 Apr 2023 20:10:56 +0200
>> From:  Adam Sjøgren via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <[email-masked]>
>> 
>>   Hi,
>> 
>> 
>> When I try to build current master (f5891da70aa) of Emacs on Debian
>> unstable using this command:
>> 
>>   ./autogen.sh && ./configure -C --with-tree-sitter --with-xinput2 --without-pgtk --with-native-compilation=aot && make FAST=true -j12 bootstrap
>> 
>> It fails like this:
>> 
>>       ...
>>     ELC+ELN  org/org-src.elc
>> 
>>   Error: native-ice ("org/org-plot.el" "block does not end with a branch" #s(comp-block-lap bb_8 ((comment "LAP TAG 83") (call helper_unbind_n #s(comp-mvar nil nil ((1 . 1)) nil nil nil)) (setimm #s(comp-mvar (t) nil nil nil nil 2) make-temp-file) (setimm #s(comp-mvar (t) nil nil nil nil 3) "org-plot") (set #s(comp-mvar (t) nil nil nil nil 2) (callref funcall #s(comp-mvar (t) nil nil nil nil 2) #s(comp-mvar (t) nil nil nil nil 3))) (call record_unwind_protect_excursion) (setimm #s(comp-mvar (t) nil nil nil nil 3) org-plot/goto-nearest-table) (set #s(comp-mvar (t) nil nil nil nil 3) (callref funcall #s(comp-mvar (t) nil nil nil nil 3))) (setimm #s(comp-mvar (t) nil nil nil nil 3) org-table-to-lisp) (set #s(comp-mvar (t) nil nil nil nil 3) (callref funcall #s(comp-mvar (t) nil nil nil nil 3))) (call helper_unbind_n #s(comp-mvar nil nil ((1 . 1)) nil nil nil)) (setimm #s(comp-mvar (t) nil nil nil nil 4) plist-get) (set #s(comp-mvar (t) nil nil nil nil 5) #s(comp-mvar (t) nil !
>  nil nil nil 0)) (setimm #s(comp-mvar (t) nil nil nil nil 6)
> :transpose) (set #s(comp-mvar (t) nil nil nil nil 4) (callref funcall
> #s(comp-mvar (t) nil nil nil nil 4) #s(comp-mvar (t) nil nil nil nil
> 5) #s(comp-mvar (t) nil nil nil nil 6))) (set #s(comp-mvar (t) nil nil
> nil nil 5) #s(comp-mvar (t) nil nil nil nil 4)) (setimm #s(comp-mvar
> (t) nil nil nil nil 6) #s(hash-table size 3 test eq rehash-size 1.5
> rehash-threshold 0.8125 purecopy t data (y 105 yes 105 t 105)))) nil
> nil nil nil #s(hash-table size 65 test eql rehash-size 1.5
> rehash-threshold 0.8125 data ()) nil nil 1 72 nil nil)
> org-plot/gnuplot)
>
> This is a duplicate of bug#62481, which is already solved on the
> macs-29 branch, and should be solved on master when emacs-29 is next
> merged.

Hello Eli,

sorry I received all the mails of the last few days from the list in one
shot this afternoon so I missed this :/

The "block does not end with a branch" is not what we solved on 29 but
another bug we are tracking as 62537 (this is only on master).
Hopefully tomorrow I'll have some time to tackle it further.

Best Regards

  Andrea